> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get customer event data for organization

GET https://api-d.docusign.com/v1/organizations/{organizationId}/stream

Gets customer event data for the organization that owns the integration key.

The results for this endpoint are paginated by their event ingestion time, which can be up to five minutes after the event originally occurred. Use the `cursor` parameter to specify where the query begins in the dataset. Use the `limit` parameter to set the number of records returned.

For a detailed example of how to use `getStream` and retrieve monitoring data, see our guides [How to get monitoring data](/docs/monitor-api/how-to/get-monitoring-data/) and  [Tracking data and handling alerts](/docs/monitor-api/monitor101/tracking-data-handling-alerts/).

**Note**: data is not guaranteed to be in the order of the timestamp of the events. It is returned in the order it was inserted into our database.

### Related topics

- [How to get monitoring data](/docs/monitor-api/how-to/get-monitoring-data/)
- [Tracking data and handling alerts](/docs/monitor-api/monitor101/tracking-data-handling-alerts/)

Reference: https://developers.docusign.com/docs/monitor-api/reference/monitor/dataset/stream

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Servers

- `https://api-d.docusign.com` (Demo, default)
- `https://api.docusign.com` (Production)

## Request

### Path parameters

- `organizationId` (string, required)

### Query parameters

- `cursor` (string, optional) — Specifies a pointer into the dataset where your query will begin. You can either provide an ISO DateTime or a string cursor (from the `endCursor` value in the response). If no value is provided, the query begins from seven days ago. For example, to fetch event data beginning from January 1, 2022, set this value to `2022-01-01T00:00:00Z`. The response will include data about events starting from that date in chronological order. The response also includes an `endCursor` property. To fetch the next page of event data, call this endpoint again with `cursor` set to the previous `endCursor` value.
- `limit` (integer, optional) — The maximum number of records to return.

## Response

### 200

OK

- `resultData` (list of StreamingEventRow, optional, nullable)
- `endCursor` (string, optional, nullable)

## Types

### StreamingEventRow

- `timestamp` (datetime, optional)
- `eventId` (string, optional, nullable)
- `site` (string, optional, nullable)
- `accountId` (string, optional, nullable)
- `organizationId` (string, optional, nullable)
- `userId` (string, optional, nullable)
- `integratorKey` (string, optional, nullable)
- `userAgent` (string, optional, nullable)
- `userAgentClientInfo` (UserAgentClientInfo, optional)
- `ipAddress` (string, optional, nullable)
- `ipAddressLocation` (IpAddressLocation, optional)
- `object` (string, optional, nullable)
- `action` (string, optional, nullable)
- `property` (string, optional, nullable)
- `field` (string, optional, nullable)
- `result` (string, optional, nullable)
- `source` (string, optional, nullable)
- `isUserMemberOfDomain` (boolean, optional, nullable)
- `referencedUserIsMemberOfDomain` (boolean, optional, nullable)
- `referencedUserId` (string, optional, nullable)
- `proxyStatus` (string, optional, nullable)
- `proxyType` (string, optional, nullable)
- `proxyLevel` (string, optional, nullable)
- `latitude` (double, optional, nullable)
- `longitude` (double, optional, nullable)
- `city` (string, optional, nullable)
- `state` (string, optional, nullable)
- `country` (string, optional, nullable)
- `device` (string, optional, nullable)
- `browser` (string, optional, nullable)
- `os` (string, optional, nullable)
- `affectedUserId` (string, optional, nullable)
- `affectedUserIsMemberOfDomain` (boolean, optional, nullable)
- `data` (map from string to any, optional, nullable)

### UserAgentClientInfo

- `browser` (Browser, optional)
- `device` (Device, optional)
- `os` (Os, optional)

### IpAddressLocation

- `latitude` (double, optional, nullable)
- `longitude` (double, optional, nullable)
- `country` (string, optional, nullable)
- `state` (string, optional, nullable)
- `city` (string, optional, nullable)

### Browser

- `family` (string, optional, nullable)
- `version` (Version, optional)

### Device

- `family` (string, optional, nullable)
- `brand` (string, optional, nullable)
- `model` (string, optional, nullable)

### Os

- `family` (string, optional, nullable)
- `version` (Version, optional)

### Version

- `major` (string, optional, nullable)
- `minor` (string, optional, nullable)
- `patch` (string, optional, nullable)

## Examples

**Response**

```json
{
  "resultData": [
    {
      "timestamp": "2024-01-15T09:30:00Z",
      "eventId": "string",
      "site": "string",
      "accountId": "string",
      "organizationId": "string",
      "userId": "string",
      "integratorKey": "string",
      "userAgent": "string",
      "userAgentClientInfo": {
        "browser": {
          "family": "string",
          "version": {
            "major": "string",
            "minor": "string",
            "patch": "string"
          }
        },
        "device": {
          "family": "string",
          "brand": "string",
          "model": "string"
        },
        "os": {
          "family": "string",
          "version": {
            "major": "string",
            "minor": "string",
            "patch": "string"
          }
        }
      },
      "ipAddress": "string",
      "ipAddressLocation": {
        "latitude": 1.1,
        "longitude": 1.1,
        "country": "string",
        "state": "string",
        "city": "string"
      },
      "object": "string",
      "action": "string",
      "property": "string",
      "field": "string",
      "result": "string",
      "source": "string",
      "isUserMemberOfDomain": true,
      "referencedUserIsMemberOfDomain": true,
      "referencedUserId": "string",
      "proxyStatus": "string",
      "proxyType": "string",
      "proxyLevel": "string",
      "latitude": 1.1,
      "longitude": 1.1,
      "city": "string",
      "state": "string",
      "country": "string",
      "device": "string",
      "browser": "string",
      "os": "string",
      "affectedUserId": "string",
      "affectedUserIsMemberOfDomain": true,
      "data": {}
    }
  ],
  "endCursor": "string"
}
```